关于ionic3开发APP用cordova打包,更新下载后不能自动提示安装的解决方法的补充

在之前的文章中提出过解决这个问题的办法:
在添加平台cordova platform add android后,在platforms\android内找到AndroidManifest.xml文件,然后修改为:

<uses-sdk android:minSdkVersion="16" android:targetSdkVersion="23" />

关于这个问题可以通过命令直接实现:
在添加平台时直接执行:

cordova platform add android@5.1.1

添加平台后的AndroidManifest.xml,文件会自动使targetSdkVersion的版本改为23
注:cordova只支持到jdk8,所以需要降低jdk的版本来适应build安卓apk。

现另外提供一种解决的方法:
在不指定android的版本添加平台过后可以不用修改targetSdkVersion的兼容版本号(因为在android7以上由于安全的要求,系统多了一些限制,需要授权之类的),在AndroidManifest.xml文件内添加下面这段话:

<uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />

也可以实现,这个是授权打开安装包。

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页